gnutls_session_get_flags(3)

NAME
gnutls_session_get_flags - API function

SYNOPSIS
#include <gnutls/gnutls.h>

unsigned gnutls_session_get_flags(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
This function will return a series (ORed) of flags, applicable for the current session.

This replaces individual informational functions such as gnutls_safe_renegotiation_status(), gnutls_session_ext_master_secret_status(), etc.

RETURNS
An ORed sequence of flags (see gnutls_session_flags_t)

SINCE
3.5.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/